
QGIS Application - Bug report #6522

Pseudo Mercator Projection causes problem while clipping raster data

2012-10-15 07:14 AM - Thomas Koblet

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 15738

Description

I have a raster file (image.tif) and a vector file (clipper.shp), both in Pseudo Mercator projection (EPSG: 3857). I want to clip the raster file

to the extent of the vector file. The following happens:

- The clipped raster file is black.

- The clipped (black) raster file has wrong coordinates and is therefore placed somewhere else.

When i perform the clipping with the raster file in Pseudo Mercator projection and the vector mask in WGS84 projection, the result is as

desired (in Pseudo Meractor projection).

History

#1 - 2012-10-15 07:17 AM - Giovanni Manghi

- Status changed from Open to Feedback

Can you please attach sample data? Thanks!

#2 - 2012-10-15 07:25 AM - Thomas Koblet

I have already attached 2 files.

#3 - 2012-10-16 12:02 AM - Giovanni Manghi

Thomas Koblet wrote:

I have already attached 2 files.

sorry, I missed them.

Can you try to do the operation from the command line? The actual command that the tools issues is the one at the bottom of the dialog window.

If the command line also fails, then is not a qgis issue.

#4 - 2012-12-30 10:07 AM - Giovanni Manghi

- Assignee set to Giuseppe Sucameli
#5 - 2012-12-31 01:23 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#6 - 2013-09-28 01:45 AM - Giovanni Manghi

- Resolution set to up/downstream

- Status changed from Feedback to Closed

- Assignee deleted (anonymous -)

There is certainly something wrong, but is gdal(warp) that does not get the job done, in this case qgis is just a GUI. A ticket should be filed in the gdal bug

tracker. Please reopen if necessary.

Files

image.tif 4.33 MB 2012-10-15 Thomas Koblet

clipper_shp.zip 1.48 KB 2012-10-15 Thomas Koblet
